%teste do monte carlo
clear all
clc


numero_de_dados_aleatorios = 10^5;

%resoluo de 0.5 com pdf retangular
resolucao =unifrnd(-0.25,0.25,numero_de_dados_aleatorios,1);

%correo de pdf gaussiana com mdia 0.3 e desvio igual a  0.2

correcao = normrnd(0.3,0.2,numero_de_dados_aleatorios,1);

%temperatura que  grandeza medida com mdia de 31.7 e desvio padro de 0.6 e pdf normal

temperatura = normrnd(31.7,0.6/sqrt(28),numero_de_dados_aleatorios,1);

%modelo de medicao


Resultado_medicao = temperatura + correcao + resolucao;

histfit(Resultado_medicao)
resultado_mensurando = mean(Resultado_medicao);
incerteza_padrao = std(Resultado_medicao);