function x = isanumber(z)

%
%  x = ISANUMBER(z) returns 1 if z (a string) can become a valid number
%  through the function 'eval', except for complex numbers.
%

n1 = strfind(z,'1');
n2 = strfind(z,'2');
n3 = strfind(z,'3');
n4 = strfind(z,'4');
n5 = strfind(z,'5');
n6 = strfind(z,'6');
n7 = strfind(z,'7');
n8 = strfind(z,'8');
n9 = strfind(z,'9');
n0 = strfind(z,'0');
ne = strfind(z,'e');
nm = strfind(z,'-');
np = strfind(z,'+');
na = strfind(z,'*');
nd = strfind(z,'/');
nc = strfind(z,'^');

nt = length(n1)+length(n2)+length(n3)+length(n4)+length(n5)+length(n6)...
    +length(n7)+length(n8)+length(n9)+length(n0)+length(ne)+length(nm)...
    +length(np)+length(na)+length(nd)+length(nc);

if length(strfind(z,'.'))==1
    nt=nt+1;
end

if strfind(z,'e')==1
    nt=nt-1;
end

if strfind(z,'e')==length(z)
    nt=nt-1;
end

if strcmp('inf',z)
    nt=nt+3;
end

if strfind(z,'^')==1
    nt=nt-1;
end

if strfind(z,'^')==length(z)
    nt=nt-1;
end
if strfind(z,'+')==length(z)
    nt=nt-1;
end


if strfind(z,'-')==length(z)
    nt=nt-1;
end

if strfind(z,'*')==1
    nt=nt-1;
end

if strfind(z,'*')==length(z)
    nt=nt-1;
end

if strfind(z,'/')==1
    nt=nt-1;
end

if strfind(z,'/')==length(z)
    nt=nt-1;
end

if ~isempty(strfind(z,'+/'))
    nt=nt-1;
end

if ~isempty(strfind(z,'+*'))
    nt=nt-1;
end

if ~isempty(strfind(z,'-/'))
    nt=nt-1;
end

if ~isempty(strfind(z,'-*'))
    nt=nt-1;
end


x = nt == length(z);


