function y=trirnd(a,b,tamanho)
% X = TRIRND(A,B,TAMANHO) Gera uma amostra que obedece a uma funo 
% densidade probabilidade triangular no intervalo entre A e B, com tamanho 
% igual a TAMANHO e moda igual a mdia de A e B.

t=[a,b];
media=(a+b)/2;
x=rand(1,tamanho);
pico=(media-min(t))/(max(t)-min(t));
y=zeros(1,tamanho);
B=max(t);
A=min(t);
y(x>pico)=B-sqrt((B-media)*(B-A)*(1-x(x>pico)));
y(x<=pico)=A+sqrt((media-A)*(B-A)*x(x<=pico));